/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "TeamTalk 5 Java DLL", "index.html", [
    [ "Introduction", "index.html#intro", null ],
    [ "TeamTalk 5 on GitHub", "index.html#github", null ],
    [ "Support and Feedback", "index.html#support", null ],
    [ "TeamTalk SDK Contents", "clientsetup.html", [
      [ "TeamTalk SDK Standard Edition", "clientsetup.html#ttsdkfiles", null ],
      [ "TeamTalk SDK Professional Edition", "clientsetup.html#ttprosdkfiles", null ]
    ] ],
    [ "TeamTalk Library Setup", "ttlib.html", [
      [ "TeamTalkJNI project", "ttlib.html#teamtalkjni", [
        [ "Build TeamTalk JNI DLL", "ttlib.html#buildjnidll", null ]
      ] ]
    ] ],
    [ "TeamTalk Server Setup Guide", "serversetup.html", [
      [ "TeamTalk Server Executables", "serversetup.html#serverexe", null ],
      [ "Configurating the TeamTalk Server", "serversetup.html#srvconfig", null ],
      [ "Starting a TeamTalk Server", "serversetup.html#srvstart", null ],
      [ "Installing the TeamTalk Windows NT Service", "serversetup.html#ntservice", [
        [ "Installing multiple Windows NT Services", "serversetup.html#mntservice", null ]
      ] ],
      [ "Setup TeamTalk Server Encryption", "serversetup.html#ttsrvencrypt", [
        [ "Simple client/server encryption", "serversetup.html#simpleenc", null ],
        [ "Verifying client/server connections", "serversetup.html#peerverification", null ]
      ] ],
      [ "TeamTalk PHP Admin for remote administration", "serversetup.html#ttphpadmin", null ]
    ] ],
    [ "Client Programming Guide", "stepbystep.html", null ],
    [ "Example Applications", "examples.html", [
      [ "TeamTalk Client Examples", "examples.html#clientexamples", null ],
      [ "TeamTalk Server Examples", "examples.html#serverexamples", null ],
      [ "TeamTalk Java client as console application (jTeamTalk)", "examples.html#jteamtalk", null ],
      [ "TeamTalk Java client for Android (TeamTalkAndroid)", "examples.html#teamtalkandroid", null ],
      [ "TeamTalk .NET client example using Windows Forms (TeamTalkApp.NET)", "examples.html#netexample", null ],
      [ "TeamTalk .NET Server Activity Logger Example (ttserverlog.net)", "examples.html#ttserverlognet", null ],
      [ "TeamTalk Qt Client Example (qtTeamTalk)", "examples.html#qtexample", null ],
      [ "TeamTalk C++ Server Activity Logger Example (ttserverlog)", "examples.html#ttserverlogcapi", null ],
      [ "TeamTalk for iOS (iTeamTalk)", "examples.html#iteamtalk", null ],
      [ "TeamTalk Java Server Example (jTeamTalkServer)", "examples.html#jteamtalkserver", null ],
      [ "TeamTalk .NET Server Example (TeamTalkServer.NET)", "examples.html#ttservernet", null ],
      [ "TeamTalk C++ Server Example (TeamTalkServer)", "examples.html#ttserverexample", null ]
    ] ],
    [ "ChangeLog", "changelog.html", [
      [ "TeamTalk 5 SDK v. 5.8b release, September 7th 2021", "changelog.html#v58brelease", [
        [ "New features in v5.8b", "changelog.html#v58bfeatures", [
          [ "Timestamp on UserAccount-struct", "changelog.html#v58buseraccount", null ],
          [ "Timestamp on RemoteFile-struct", "changelog.html#v58bremotefile", null ]
        ] ],
        [ "API change in v5.8b", "changelog.html#v58bapi", null ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.8a release, June 24th 2021", "changelog.html#v58arelease", [
        [ "New features in v5.8a", "changelog.html#v58afeatures", [
          [ "Store audio from multiple stream types", "changelog.html#v58amixed", null ]
        ] ],
        [ "API change in v5.8a", "changelog.html#v58aapi", null ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.7a release, March 4th 2021", "changelog.html#v57arelease", [
        [ "New features in v5.7a", "changelog.html#v57afeatures", [
          [ "WebRTC Audio Preprocessor", "changelog.html#v57awebrtc", null ],
          [ "Classroom support for channel text messages", "changelog.html#v57aclassroom", null ],
          [ "Hidden channels", "changelog.html#v57ahiddenchan", null ],
          [ "Client/Server peer verification for encryption", "changelog.html#v57acrypt", null ],
          [ "Jitter buffer for voice stream", "changelog.html#v57ajitter", null ],
          [ "Stream OPUS .ogg files on Windows", "changelog.html#v57aopus", null ],
          [ "Multiple encryption contexts for TeamTalk server", "changelog.html#v57acryptcontext", null ]
        ] ],
        [ "API changes in v5.7a", "changelog.html#v57aapi", null ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.6a release, August 9th 2020", "changelog.html#v56arelease", [
        [ "New features in v5.6a", "changelog.html#v56afeatures", [
          [ "Android sound device for enabling voice communication mode", "changelog.html#v56avoicecom", null ],
          [ "Enable platform specific sound device effects", "changelog.html#v56aeffects", null ],
          [ "Specify sample rate and audio channels for shared sound device", "changelog.html#v56asharedaudio", null ],
          [ "Perform sound loopback test using audio preprocessor and sound device effects", "changelog.html#v56aloopback", null ],
          [ "Sound preprocessor selection", "changelog.html#v56apreprocess", null ]
        ] ],
        [ "API changes in v5.6a", "changelog.html#v56aapi", [
          [ "Compatibility issue with TeamTalk v5.5 and previous", "changelog.html#v56acompat", null ]
        ] ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.5a release, April 13 2020", "changelog.html#v55arelease", [
        [ "New features in v5.5a", "changelog.html#v55afeatures", [
          [ "Shared audio input/output device", "changelog.html#v55asharedaudio", null ],
          [ "Playback media file", "changelog.html#v55aplayback", null ],
          [ "Control media file playback when", "changelog.html#v55astream", null ],
          [ "nTxIntervalMSec increased to 500 msec", "changelog.html#v55atxinterval", null ],
          [ "OPUS codec frame size selection", "changelog.html#v55aopus", null ],
          [ "Access muxed audio stream", "changelog.html#v55amux", null ],
          [ "Inject audio into channel (replace voice input)", "changelog.html#v55aaudioinput", null ],
          [ "Configure TCP and UDP keep alive properties", "changelog.html#v55akeepalive", null ],
          [ "Record audio from multiple channels", "changelog.html#v55arecord", null ],
          [ "Connect to encrypted TeamTalk Professional servers", "changelog.html#v55aencrypt", null ],
          [ "TeamTalk 5 shared C-API library for Android", "changelog.html#v55aandroidcapi", null ]
        ] ],
        [ "API changes in v5.5a", "changelog.html#v55aapi", null ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.4a release, June 25th 2019", "changelog.html#v54arelease", [
        [ "New features in v5.4a", "changelog.html#v54afeatures", null ],
        [ "API changes in v5.4a", "changelog.html#v54aapi", null ],
        [ "Bug fixes in v5.4a", "changelog.html#v54abugfixes", null ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.3b release, November 11th 2018", "changelog.html#v53brelease", [
        [ "API changes in v5.3b", "changelog.html#v53bapi", null ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.3a release, April 14th 2018", "changelog.html#v53arelease", [
        [ "API changes in v5.3a", "changelog.html#v53aapi", null ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.2d release, June 24th 2017", "changelog.html#v52drelease", [
        [ "Bugfixes in v5.2d", "changelog.html#v52dbugfixes", null ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.2c release, May 8th 2017", "changelog.html#v52crelease", [
        [ "New features in v5.2c", "changelog.html#v52cfeatures", [
          [ "Virtual sound device", "changelog.html#v52cvirtsnd", null ],
          [ "Transmission queue in CHANNEL_SOLO_TRANSMIT", "changelog.html#v52ctxqueue", null ],
          [ "Server callbacks for TeamTalkBase.DoChangeNickname() and TeamTalkBase.DoChangeStatus()", "changelog.html#v52csrvcb", null ],
          [ "OpenSSL again dynamically linked in Linux distributions", "changelog.html#v52cstatic", null ],
          [ "Daemon scripts included for TeamTalk servers", "changelog.html#v52cdaemon", null ]
        ] ],
        [ "API changes in v5.2c", "changelog.html#v52capi", [
          [ "TeamTalk class renamed to TeamTalkBase", "changelog.html#v52crename", null ]
        ] ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.2b release, Jan 30th 2017", "changelog.html#v52brelease", [
        [ "API changes in v.5.2b", "changelog.html#v52bapi", [
          [ "TeamTalk Server API for .NET", "changelog.html#v52bsrvnet", null ]
        ] ],
        [ "Bugfixes in v5.2b", "changelog.html#v52bbugfixes", null ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.2a release, January 8th 2017", "changelog.html#v52arelease", [
        [ "New features in v5.2a", "changelog.html#v52afeatures", [
          [ "TeamTalk Server API with System ID", "changelog.html#v52asrvapi", null ],
          [ "Voice-Processing I/O Unit for iOS", "changelog.html#v52aaudunit", null ],
          [ "Video4Linux2 (V4L2) support on Linux", "changelog.html#v52av4l2", null ],
          [ "AVFoundation replaces QTkit on Mac OS", "changelog.html#v52aavf", null ],
          [ "Dependencies on Linux has been reduced", "changelog.html#v52adeps", null ],
          [ "Sound Preprocessing (Automatic gain control) for iOS", "changelog.html#v52aagc", null ],
          [ "TeamTalk for Android now uses Android Studio", "changelog.html#v52attand", null ],
          [ "Store audio in .ogg format", "changelog.html#v52aogg", null ]
        ] ],
        [ "API changes in v5.2a", "changelog.html#v52aapi", [
          [ "Deadline for WebM video encoder", "changelog.html#v52awebm", null ],
          [ "Get software client used by peer", "changelog.html#v52aclientname", null ],
          [ "Limit access to TeamTalk server to one software client", "changelog.html#v52aconsys", null ]
        ] ],
        [ "Bugfixes in v5.2a", "changelog.html#v52abugfixes", null ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.1c release, February 29th 2016", "changelog.html#v51crelease", [
        [ "New features in v. 5.1c", "changelog.html#v51cfeatures", null ],
        [ "API changes in v. 5.1c", "changelog.html#v51capi", null ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.1b release, October 3rd 2015", "changelog.html#v51brelease", [
        [ "New features in v. 5.1b", "changelog.html#v51bfeatures", [
          [ "Record own voice stream to separate file", "changelog.html#v51bownstream", null ],
          [ "TeamTalk JNI DLL for Windows", "changelog.html#v51bwinjni", null ]
        ] ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.1a release, June 13th 2015", "changelog.html#v51arelease", [
        [ "New Features in v. 5.1a release", "changelog.html#v51afeatures", [
          [ "TeamTalk 5 Server API", "changelog.html#v51aserverapi", null ],
          [ "TeamTalk 5 Java DLL", "changelog.html#v51ajava", null ],
          [ "TeamTalk 5 SDK for iOS", "changelog.html#v51aios", null ]
        ] ]
      ] ],
      [ "TeamTalk 5 SDK v. 5.0a release, March 15th 2015", "changelog.html#v50arelease", [
        [ "New features in v. 5.0a", "changelog.html#v50afeatures", [
          [ "Updated event handling", "changelog.html#v50aeventhandling", null ],
          [ "WebM replaces Theora video codec", "changelog.html#v50awebm", null ],
          [ "OPUS replaces CELT audio codec", "changelog.html#v50aopus", null ],
          [ "AES encryption replaces Blowfish", "changelog.html#v50aaes", null ],
          [ "New stream type for media files", "changelog.html#v50amediastream", null ],
          [ "User rights now moved to user account", "changelog.html#v50auserrights", null ],
          [ "Audio codec bitrate limit moved to user account", "changelog.html#v50abitratelimit", null ],
          [ "Max channels limited to 4000", "changelog.html#v50amaxchannels", null ],
          [ "Peer to peer support has been removed", "changelog.html#v50ap2p", null ],
          [ "Channels can be renamed", "changelog.html#v50achanrename", null ],
          [ "Daemon script for server included", "changelog.html#v50adaemon", null ],
          [ "Audio configuration no longer forced by channel", "changelog.html#v50aagc", null ],
          [ "Default server config file renamed to tt5srv.xml", "changelog.html#v50asrvxml", null ],
          [ "Server statistics updated", "changelog.html#v50astats", null ],
          [ "Non-encrypted mode in Professional server", "changelog.html#v50anocrypt", null ]
        ] ],
        [ "API changes in v. 5.0a", "changelog.html#v50aapi", [
          [ "New structs:", "changelog.html#newstruct5", null ],
          [ "Renamed/modified structs:", "changelog.html#modstructs5", null ],
          [ "Removed structs", "changelog.html#remstructs5", null ],
          [ "New enumerations", "changelog.html#newenum5", null ],
          [ "Renamed/modified enumerations", "changelog.html#renamedenum5", null ],
          [ "Removed enumerations:", "changelog.html#remenum5", null ],
          [ "New events:", "changelog.html#newevents5", null ],
          [ "Renamed/modified events:", "changelog.html#renamedevents5", null ],
          [ "Removed events", "changelog.html#removedevents5", null ],
          [ "New methods", "changelog.html#v50anewmethods", null ],
          [ "Renamed/modified methods", "changelog.html#v50amodmethods", null ],
          [ "Removed methods", "changelog.html#v50aremovemethods", null ]
        ] ]
      ] ],
      [ "TeamTalk 4 SDK v. 4.6b release, June 28th 2014", "changelog.html#v46brelease", [
        [ "New features in v. 4.6b", "changelog.html#v46bfeatures", null ]
      ] ],
      [ "TeamTalk 4 SDK v. 4.6a release, February 20th 2014", "changelog.html#v46arelease", [
        [ "New features in v. 4.6a", "changelog.html#v46afeatures", [
          [ "Desktop Access", "changelog.html#v46adeskinput", null ]
        ] ],
        [ "API Changes in v4.6a", "changelog.html#v46aapi", null ]
      ] ],
      [ "TeamTalk 4 SDK v. 4.5a release, May 12th 2013", "changelog.html#v45arelease", [
        [ "New features in v. 4.5a", "changelog.html#v45afeatures", [
          [ "Stream Media Files to Channel", "changelog.html#v45astream", null ],
          [ "Login Attempt Limit", "changelog.html#v45alogin", null ],
          [ "Ban user by IP-address", "changelog.html#v45aipban", null ]
        ] ],
        [ "API Changes in v4.5a", "changelog.html#v45aapi", null ]
      ] ],
      [ "TeamTalk 4 SDK v. 4.4a release, September 25th 2012", "changelog.html#v44arelease", [
        [ "New features in v. 4.4a", "changelog.html#v44afeatures", [
          [ "Support for Windows Audio Session", "changelog.html#v44awasapi", null ],
          [ "Restart Sound System", "changelog.html#v44arestartsnd", null ],
          [ "Automatic resampling of unsupported sample rates", "changelog.html#v44aautoresam", null ],
          [ "Operator receive-only channel type", "changelog.html#v44aoprecv", null ],
          [ "Encrypted client (Pro-Edition) can connect to non-encrypted servers", "changelog.html#v44anoncrypt", null ],
          [ "Unicode video device names", "changelog.html#v44aviduni", null ]
        ] ],
        [ "API Changes in v4.4a", "changelog.html#v4aaapi", null ]
      ] ],
      [ "TeamTalk 4 SDK v. 4.3a release, March 18th 2012", "changelog.html#v43arelease", [
        [ "New features in v. 4.3a", "changelog.html#v43afeatures", [
          [ "Share Desktop Applications", "changelog.html#v43adesktop", null ],
          [ "Join channel after login", "changelog.html#v43ainitialchan", null ],
          [ "Automatically become channel operator", "changelog.html#v43aautoop", null ],
          [ "Custom message type", "changelog.html#v43acustommsgtype", null ],
          [ "Query maximum UDP packet size", "changelog.html#v43aquerymtu", null ],
          [ "Access raw audio data", "changelog.html#v43aaudioblock", null ],
          [ "Get name of file being recorded to", "changelog.html#v43aaudiofilename", null ],
          [ "Reset recorded audio file", "changelog.html#v43aresetaudiofile", null ],
          [ "See own video stream", "changelog.html#v43achanechovideo", null ],
          [ "Free-for-all option in classrooms", "changelog.html#v43afreeforall", null ]
        ] ],
        [ "API Changes in v4.3a", "changelog.html#v43aapi", null ]
      ] ],
      [ "TeamTalk 4 SDK v. 4.2a release, November 1st 2011", "changelog.html#v42arelease", [
        [ "New features in v. 4.2a", "changelog.html#v42afeatures", [
          [ "Muxed audio files", "changelog.html#v42amuxaudio", null ],
          [ "Windows XP/Vista/7 Firewall", "changelog.html#v42awinfirewall", null ],
          [ "Modify \"talking\" delay", "changelog.html#v42atalkdelay", null ],
          [ "VBR audio codecs", "changelog.html#v42avbrcodecs", null ],
          [ "CELT updated to version 0.11", "changelog.html#v42acelt011", null ],
          [ "IPv6 support (Windows 2000 no longer supported)", "changelog.html#v42aipv6", null ]
        ] ],
        [ "API Changes in v4.2a", "changelog.html#v42aapi", null ]
      ] ],
      [ "TeamTalk 4 SDK v. 4.1a release, October 30th 2010", "changelog.html#v41arelease", [
        [ "New Features in v. 4.1a release", "changelog.html#v41afeatures", [
          [ "Removed Microsoft C Runtime dependency", "changelog.html#v41adeps", null ],
          [ "Mac OS X and Windows Mobile platforms", "changelog.html#v41aplatforms", null ],
          [ "Echo Cancellation", "changelog.html#v41aecho", null ],
          [ "Classroom channel-type", "changelog.html#v41aclassroom", null ],
          [ "Channel based audio configuration", "changelog.html#v41aaudiocfg", null ],
          [ "Server Statistics", "changelog.html#v41asrvstats", null ],
          [ "Simpler video extraction", "changelog.html#v41avideo", null ]
        ] ],
        [ "API Changes in v4.1a", "changelog.html#v41aapi", null ]
      ] ],
      [ "TeamTalk 4 SDK v. 4.0c release, March 7th 2010", "changelog.html#v40crelease", [
        [ "New Features in v. 4.0c", "changelog.html#v40cfeatures", [
          [ "Note-field and user-data for user accounts", "changelog.html#v40cuseraccount", null ],
          [ "Get \"my\" User Account", "changelog.html#v40cmyaccount", null ],
          [ "Extract all Users on the Server", "changelog.html#v40cserverusers", null ]
        ] ],
        [ "API Changes in v4.0c", "changelog.html#v40capi", null ],
        [ "Bug fixes in v. 4.0c", "changelog.html#v40cbugfixes", null ]
      ] ],
      [ "TeamTalk 4 SDK v. 4.0a release, November 22nd 2009", "changelog.html#v40arelease", [
        [ "New Features in v. 4.0a", "changelog.html#v40afeatures", [
          [ "Video Capturing from WebCams", "changelog.html#chvidcap", null ],
          [ "User Accounts", "changelog.html#chuseradmin", null ],
          [ "Track Command Completion", "changelog.html#chcmdid", null ],
          [ "Improved P2P Connections", "changelog.html#chp2p", null ],
          [ "Support for CELT audio codec", "changelog.html#chcelt", null ]
        ] ],
        [ "API Changes in v. 4.0a", "changelog.html#v40aapi", null ]
      ] ]
    ] ],
    [ "Known Issues", "knownissues.html", null ],
    [ "License TeamTalk SDK", "license.html", [
      [ "Purchase License", "license.html#purchase", [
        [ "Activate License in .NET DLL", "license.html#netlicense", null ],
        [ "Activate License in Java DLL", "license.html#javalicense", null ],
        [ "Activate License in C-API DLL", "license.html#capilicense", null ]
      ] ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Packages", "namespaces.html", [
      [ "Packages", "namespaces.html", "namespaces_dup" ],
      [ "Package Functions", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Properties", "functions_prop.html", null ],
        [ "Events", "functions_evnt.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"deprecated.html",
"group__errorhandling.html#ggacc3af286c33fbb004559a49d1ee72a16ae1805b5544ec30514e018fe7b287ba96",
"group__mixer.html#gga56683623416bb884a452a6f319fdc57da6044eb2ba4dcff21ea02188a29474645",
"group__users.html#ggade92b5ef96465b646105de77bdd6564fa920d3ca29f6836f05d820480a14f9262",
"struct_bear_ware_1_1_server_properties.html#a9d2b47aa0a1932167a2dd4b81fd97401",
"struct_bear_ware_1_1_web_r_t_c_audio_preprocessor.html#af8b492d8d504f08a1e7837062725fca0"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';